<template>
  <div>
    <v-radio-group
      v-for="(option, key) in options"
      v-model="selectedValue"
      :key="key"
      :mandatory="false"
    >
      <v-radio :label="option" :value="option" :checked="option === value" />
    </v-radio-group>
  </div>
</template>
<script>
export default {
  props: {
    options: {
      type: Array,
      required: true,
    },
    value: {
      type: [Array, String],
      required: false,
      default: () => [],
    },
  },
  data() {
    return {
      selectedValue: [],
    };
  },
  watch: {
    selectedValue(newVal) {
      this.$emit("input", newVal);
    },
  },
  created() {
    if (this.value && this.value.length > 0) this.selectedValue = this.value;
  },
};
</script>
